Subject: Re: How do I compile egcs-1.1.1 under Cygwin B20.1?
From: [email-masked] (Mumit Khan)

6 Dec 1998 21:23:29 -0800
Message-ID: <[email-masked]>
References: <007001be211f$36db5840$4e28c6c3@p4kpm>
Reply-To: Mumit Khan <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Content-Transfer-Encoding: 8bit
To: [email-masked]
Cc: [email-masked], [email-masked]

[ please use a mail editor that wraps long lines to <= 74 characters or so ]

On Sun, 6 Dec 1998, [iso-8859-1] Christian Jönsson wrote:

> I just got the Cygwin B20.1 installed (the recursive configure bug is fixed) and tried to compile egcs-1.1.1. The configure went well, I guess, but the bootstrap failed with
> 

You need to give us more info how you configured it etc. 

>   ./xgcc -B./ -O2 -I../../egcs-1.1.1/gcc/../winsup/include  -DIN_GCC    -g -I./include   -g1 -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED   -I. -I../../egcs-1.1.1/gcc -I../../egcs-1.1.1/gcc/config -c -DL${name} \
>       ../../egcs-1.1.1/gcc/libgcc2.c -o ${name}.o; \
>   if [ $? -eq 0 ] ; then true; else exit 1; fi; \
>   ` if [ -f /tmp/objdir/gcc/../binutils/ar ] ; then echo /tmp/objdir/gcc/../binutils/ar ; else if [ "i586-pc-cygwin32" = "i586-pc-cygwin32" ] ; then echo ar; else t='s,x,x,'; echo ar | sed -e $t ; fi; fi` rc tmplibgcc2.a ${name}.o; \
>   rm -f ${name}.o; \
> done
> _muldi3
> ../../egcs-1.1.1/gcc/libgcc2.c:41: stdlib.h: No such file or directory
> ../../egcs-1.1.1/gcc/libgcc2.c:42: unistd.h: No such file or directory
> make[2]: *** [libgcc2.a] Error 1

Here's my configure line:

  $ mkdir <objdir>
  $ cd <objdir>
  $ <srcdir>/configure --prefix=/Cygnus/cygwin-b20 \
    --exec-prefix=/Cygnus/cygwin-b20/H-i586-cygwin32 i586-cygwin32

My guess is that all you have to do is the following:

  $ cd <objdir>/gcc
  $ make installdirs
  $ cd ..
  $ make

The ``make installdirs'' is needed so that the includes can be found via
the complier-directory-relative path lookup.

> 
> When configure was run, it was only given the argument --enable-threads.
> 

Cygwin doesn't support enable-threads yet, so it's a noop.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".